; SketchyLISP Library
; Copyright (C) 2005 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; digits

; ---conformance---
; Sketchy Core

; ---purpose---
; Constants for representing decimal digits.

; ---keywords---
; decimal digit, identity, numbers, digit, signs

; ---example---
; 5-digit => '5

; ---code---
(define number-tag (car 0))

:i off

(define 0-digit '0)
(define 1-digit '1)
(define 2-digit '2)
(define 3-digit '3)
(define 4-digit '4)
(define 5-digit '5)
(define 6-digit '6)
(define 7-digit '7)
(define 8-digit '8)
(define 9-digit '9)

:i on

(define digits (list
	0-digit 1-digit 2-digit 3-digit 4-digit
	5-digit 6-digit 7-digit 8-digit 9-digit))

