; SketchyLISP Library
; Copyright (C) 2005 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; list->number

; ---conformance---
; Sketchy Core

; ---purpose---
; Convert a list of digts into a number.

; ---args---
; X - list of digits

; ---keywords---
; list->number function, list, number, conversion

; ---see-also---
; digits, number->list

; ---example---
; (list->number (list '- 1-digit 2-digit 5-digit)) => -125

(define listtonumber #t)

:c lib/digits.l number-tag

; ---code---
(define list->number (lambda (x)
	(cons number-tag x)))

